import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema';
import { UserUpdateOneRequiredWithoutSeleniumSettingsNestedInputObjectSchema as UserUpdateOneRequiredWithoutSeleniumSettingsNestedInputObjectSchema } from './UserUpdateOneRequiredWithoutSeleniumSettingsNestedInput.schema'

const makeSchema = () => z.object({
  paymentGroupId: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  user: z.lazy(() => UserUpdateOneRequiredWithoutSeleniumSettingsNestedInputObjectSchema).optional()
}).strict();
export const SeleniumSettingsUpdateInputObjectSchema: z.ZodType<Prisma.SeleniumSettingsUpdateInput> = makeSchema() as unknown as z.ZodType<Prisma.SeleniumSettingsUpdateInput>;
export const SeleniumSettingsUpdateInputObjectZodSchema = makeSchema();
